Description

Associated revisions

Revision 121 - 04 Oct 2015 21:49 - Andriy Lesyuk

First fixes for 3.x (#2365)

History

#1 - 31 Mar 2015 08:28 - Olivier Houdas

In particular, in the Redmine Admin section, Projects or Users fail with error 500, because of the following error:

W, [2015-03-31T10:22:11.347198 #30506]  WARN – : WARNING: Can’t mass-assign protected attributes for UserListSetting: user_id, list

in app/models/user_list_setting.rb, which results in having 

list:nil

 

inside

def list_class

 

later in the code of that file

#2 - 07 Apr 2015 08:17 - Olivier Houdas

Note: adding

attr_accessible :user_id, :list

 

on line 7 after

serialize :columns, Array
fixes the issue (I found this tip in a forum), however, I'm not good enough in Ruby to understand the extent of this change.

#3 - 07 Apr 2015 09:31 - Olivier Houdas

- File Extended-fields-rails4.2.patch added

There is another issue with Rails 4: deprecated .find(:all, options) is now creating errors.

→ see extended_calendars_controller_patch.rb

Attached is a patch with my changes, which fix the issues I’ve noticed so far.

#4 - 01 Oct 2015 12:12 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.2.4

#5 - 04 Oct 2016 07:09 - Andriy Lesyuk

- Tracker changed from Bug to Feature

- Status changed from Open to In Progress

- % Done changed from 0 to 50

#6 - 04 Oct 2016 08:35 - Jacek Pasternak

In 3.0.7 “#” column is doubled

#7 - 04 Oct 2016 08:37 - Jacek Pasternak

- File extended_fileds_bug.png added

#8 - 08 Apr 2018 10:25 - Adnan Topçu

3.0 support is not enough 

Files

Extended-fields-rails4.2.patch 4.6 KB 07 Apr 2015 Olivier Houdas

extended_fileds_bug.png 11.1 KB 04 Oct 2016 Jacek Pasternak
